org.richfaces.component

## Class UIEditor

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - javax.faces.component.UIInput
        - - org.richfaces.component.UIEditor

- All Implemented Interfaces:
    javax.faces.component.EditableValueHolder, javax.faces.component.StateHolder, javax.faces.component.ValueHolder
  Direct Known Subclasses:
    HtmlEditor

      public abstract class UIEditor
      extends javax.faces.component.UIInput

  JSF component class
  Author:
    Alexandr Levkovsky

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY` Editor component family
    `static java.lang.String` | `COMPONENT_TYPE` Editor component type
    `static java.lang.String` | `EDITOR_TEXT_AREA_ID_SUFFIX` Id suffix of textarea which used as target element for tinyMCE scripts

    - ### Fields inherited from class javax.faces.component.UIInput

      `CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIEditor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.lang.String` | `getConfiguration()`
    `javax.faces.convert.Converter` | `getConverter()`
    `abstract java.lang.String` | `getCustomPlugins()`
    `abstract java.lang.String` | `getDialogType()`
    `abstract java.lang.Integer` | `getHeight()`
    `abstract java.lang.String` | `getLanguage()`
    `abstract java.lang.String` | `getOnchange()`
    `abstract java.lang.String` | `getOninit()`
    `abstract java.lang.String` | `getOnsave()`
    `abstract java.lang.String` | `getOnsetup()`
    `abstract java.lang.String` | `getPlugins()`
    `boolean` | `getRendersChildren()`
    `abstract java.lang.String` | `getSkin()`
    `abstract java.lang.String` | `getTabindex()`
    `abstract java.lang.String` | `getTheme()`
    `abstract java.lang.String` | `getType()`
    `abstract java.lang.String` | `getViewMode()`
    `abstract java.lang.Integer` | `getWidth()`
    `abstract boolean` | `isAutoResize()`
    `abstract boolean` | `isReadonly()`
    `abstract boolean` | `isUseSeamText()`
    `abstract void` | `setAutoResize(boolean autoResize)`
    `abstract void` | `setConfiguration(java.lang.String configuration)`
    `abstract void` | `setCustomPlugins(java.lang.String customPlugins)`
    `abstract void` | `setDialogType(java.lang.String dialogType)`
    `abstract void` | `setHeight(java.lang.Integer height)`
    `abstract void` | `setLanguage(java.lang.String language)`
    `abstract void` | `setOnchange(java.lang.String onchange)`
    `abstract void` | `setOninit(java.lang.String oninit)`
    `abstract void` | `setOnsave(java.lang.String onsave)`
    `abstract void` | `setOnsetup(java.lang.String onsetup)`
    `abstract void` | `setPlugins(java.lang.String plugins)`
    `abstract void` | `setReadonly(boolean readonly)`
    `abstract void` | `setSkin(java.lang.String skin)`
    `abstract void` | `setTabindex(java.lang.String tabindex)`
    `abstract void` | `setTheme(java.lang.String theme)`
    `abstract void` | `setType(java.lang.String type)`
    `abstract void` | `setUseSeamText(boolean useSeamText)`
    `abstract void` | `setViewMode(java.lang.String viewMode)`
    `abstract void` | `setWidth(java.lang.Integer width)`

    - ### Methods inherited from class javax.faces.component.UIInput

      `addValidator, addValueChangeListener, compareValues, decode, getConvertedValue, getConverterMessage, getFamily, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate, validateValue`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getLocalValue, getValue, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getLocalValue, getValue, setConverter`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      Editor component type
      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      Editor component family
      See Also:
        Constant Field Values

    - #### EDITOR_TEXT_AREA_ID_SUFFIX

          public static final java.lang.String EDITOR_TEXT_AREA_ID_SUFFIX

      Id suffix of textarea which used as target element for tinyMCE scripts
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIEditor

          public UIEditor()

  - ### Method Detail

    - #### setType

          public abstract void setType(java.lang.String type)

    - #### getType

          public abstract java.lang.String getType()

    - #### getWidth

          public abstract java.lang.Integer getWidth()

    - #### setWidth

          public abstract void setWidth(java.lang.Integer width)

    - #### getHeight

          public abstract java.lang.Integer getHeight()

    - #### setHeight

          public abstract void setHeight(java.lang.Integer height)

    - #### setTheme

          public abstract void setTheme(java.lang.String theme)

    - #### getTheme

          public abstract java.lang.String getTheme()

    - #### setUseSeamText

          public abstract void setUseSeamText(boolean useSeamText)

    - #### isUseSeamText

          public abstract boolean isUseSeamText()

    - #### setPlugins

          public abstract void setPlugins(java.lang.String plugins)

    - #### getPlugins

          public abstract java.lang.String getPlugins()

    - #### setLanguage

          public abstract void setLanguage(java.lang.String language)

    - #### getLanguage

          public abstract java.lang.String getLanguage()

    - #### setTabindex

          public abstract void setTabindex(java.lang.String tabindex)

    - #### getTabindex

          public abstract java.lang.String getTabindex()

    - #### setOninit

          public abstract void setOninit(java.lang.String oninit)

    - #### getOninit

          public abstract java.lang.String getOninit()

    - #### setOnchange

          public abstract void setOnchange(java.lang.String onchange)

    - #### getOnchange

          public abstract java.lang.String getOnchange()

    - #### setOnsave

          public abstract void setOnsave(java.lang.String onsave)

    - #### getOnsave

          public abstract java.lang.String getOnsave()

    - #### setOnsetup

          public abstract void setOnsetup(java.lang.String onsetup)

    - #### getOnsetup

          public abstract java.lang.String getOnsetup()

    - #### setAutoResize

          public abstract void setAutoResize(boolean autoResize)

    - #### isAutoResize

          public abstract boolean isAutoResize()

    - #### setReadonly

          public abstract void setReadonly(boolean readonly)

    - #### isReadonly

          public abstract boolean isReadonly()

    - #### setConfiguration

          public abstract void setConfiguration(java.lang.String configuration)

    - #### getConfiguration

          public abstract java.lang.String getConfiguration()

    - #### getCustomPlugins

          public abstract java.lang.String getCustomPlugins()

    - #### setCustomPlugins

          public abstract void setCustomPlugins(java.lang.String customPlugins)

    - #### setSkin

          public abstract void setSkin(java.lang.String skin)

    - #### getSkin

          public abstract java.lang.String getSkin()

    - #### setViewMode

          public abstract void setViewMode(java.lang.String viewMode)

    - #### getViewMode

          public abstract java.lang.String getViewMode()

    - #### setDialogType

          public abstract void setDialogType(java.lang.String dialogType)

    - #### getDialogType

          public abstract java.lang.String getDialogType()

    - #### getRendersChildren

          public boolean getRendersChildren()

      Overrides:
        `getRendersChildren` in class `javax.faces.component.UIComponentBase`

    - #### getConverter

          public javax.faces.convert.Converter getConverter()

      Specified by:
        `getConverter` in interface `javax.faces.component.ValueHolder`
      Overrides:
        `getConverter` in class `javax.faces.component.UIOutput`

Copyright © 2013. All Rights Reserved.